* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Inter', sans-serif;
}

.showcase {
  position: absolute;
  right: 0;
  width: 100%;
  min-height: 100vh;

  padding: 100px;

  display: flex;
  justify-content: space-between;
  align-items: center;

  background: #111;
  color: #fff;
  z-index: 2;

  transition: 0.5s;
}

.showcase.active {
  right: 300px;
}

.showcase header {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  padding: 48px 100px;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.showcase video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0.8;
}

.logo {
  text-transform: uppercase;
  cursor: pointer;
}

.text {
  position: relative;
  z-index: 10;
}

.text h2 {
  font-size: 5em;
  font-weight: 800;
  line-height: 1em;
  text-transform: uppercase;
}

.text h3 {
  font-size: 3em;
  font-weight: 600;
  line-height: 1em;
  text-transform: uppercase;
}

.text p {
  font-size: 1.1em;
  margin: 24px 0;
  font-weight: 400;
  max-width: 768px;
}

.text a {
  display: inline-block;
  font-size: 1em;
  background: white;
  padding: 12px 36px;
  text-decoration: none;
  color: #111;
  margin-top: 12px;
  text-transform: uppercase;
  letter-spacing: 2px;
  transition: 0.2s;
}

.text a:hover {
  letter-spacing: 6px;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: coral;
  opacity: 0.5;
  mix-blend-mode: overlay;
}

.menu {
  position: absolute;
  top: 0;
  right: 0;
  width: 300px;
  height: 100%;

  display: flex;
  align-items: center;
  justify-content: center;
}

.menu ul {
  position: relative;
  list-style: none;
}

.menu ul li a {
  text-decoration: none;
  font-size: 24px;
  color: #111;
  transition: 0.2s;
}

.menu ul li a:hover {
  color: coral;
}

.menu--toggle {
  position: relative;
  width: 64px;
  height: 64px;
  background: url('menu.svg');
  background-repeat: no-repeat;
  background-size: 32px;
  background-position: center;
  cursor: pointer;
  filter: brightness(250%);
}

.menu--toggle.active {
  background: url('close.svg');
  background-repeat: no-repeat;
  background-size: 32px;
  background-position: center;
  cursor: pointer;
}

.social {
  position: absolute;
  bottom: 24px;
  z-index: 10;
  display: flex;
  justify-content: center;
  align-items: center;
}

.social li {
  list-style: none;
}

.icon {
  width: 24px;
  height: 24px;
  filter: brightness(250%);

  display: inline-block;
  margin-right: 24px;
  transition: 0.5s;
}

.icon:hover {
  transform: scale(1.1) translateY(-6px);
}

@media (max-width: 1024px) {
  .showcase,
  .showcase header {
    padding: 48px;
  }

  .text h2 {
    font-size: 3em;
  }

  .text h3 {
    font-size: 2em;
  }
}
